package eu.jonahbauer.chat.bot.sleep.model;

import org.jetbrains.annotations.NotNull;

import java.time.Instant;
import java.util.Objects;

public record SleepEvent(
        @NotNull String user,
        @NotNull EventType type,
        @NotNull Instant timestamp
) implements Comparable<SleepEvent> {
    public SleepEvent {
        Objects.requireNonNull(user);
        Objects.requireNonNull(type);
        Objects.requireNonNull(timestamp);
    }

    @Override
    public int compareTo(@NotNull SleepEvent sleepEvent) {
        return timestamp.compareTo(sleepEvent.timestamp);
    }
}
